<?php
namespace App\DTO;

use App\DTO\Validation\Rules\IsEmail;
use App\DTO\Validation\Rules\IsRequired;


readonly class UserRegistrationDto{

  public function __construct(
    #[IsRequired]
    public string $username,

    #[IsEmail]
    #[IsRequired]
    public string $email)
  {   }
}