<?php
namespace App\DTO\Validation\Rules;

use App\DTO\Validation\Validators\IsRequiredRuleValidator;
use App\DTO\Validation\Validators\ValidatorInterface;
use Attribute;

#[Attribute]
class IsRequired implements ValidationRuleInterface{

  /**
   * Return relavent instance of validator available in validators folder
   * Return required class from validators
   */
  public function getValidator():ValidatorInterface
  {
    return new IsRequiredRuleValidator();
  }
}